Changeset 44911


Ignore:
Timestamp:
2015-03-20T17:50:50+01:00 (3 years ago)
Author:
nbd
Message:

build: add optional dependency on libssp to all non-kernel packages

When enabling SSP_SUPPORT, a lot of packages fail during compile phase
with the following error:

Package X is missing dependencies for the following libraries:
libssp.so.0

This can be solved by adding an optional dependency on libssp to all
those packages, but as there are quite a few packages both in OpenWrt
core and in the package repository, it might make sense to add this
optional dependency to all non-kernel packages, instead of polluting
lots of package dependency lines with it.

Signed-off-by: Stijn Tintel <stijn@…>

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/include/package-defaults.mk

    r44701 r44911  
    66# 
    77 
    8 PKG_DEFAULT_DEPENDS = +libc +USE_GLIBC:librt +USE_GLIBC:libpthread 
     8PKG_DEFAULT_DEPENDS = +libc +SSP_SUPPORT:libssp +USE_GLIBC:librt +USE_GLIBC:libpthread 
    99 
    1010ifneq ($(PKG_NAME),toolchain) 
Note: See TracChangeset for help on using the changeset viewer.